Bug 976013 - AttributeError: 'MDRaidArrayDevice' object has no attribute 'pvCount'
AttributeError: 'MDRaidArrayDevice' object has no attribute 'pvCount'
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:095ca9db9a5a9c3eb6f376296c0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 14:29 EDT by WhyNot
Modified: 2013-08-28 13:30 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-28 13:30:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (452.65 KB, text/plain)
2013-06-19 14:29 EDT, WhyNot
no flags Details
File: anaconda.log (15.47 KB, text/plain)
2013-06-19 14:29 EDT, WhyNot
no flags Details
File: backtrace (725 bytes, text/plain)
2013-06-19 14:29 EDT, WhyNot
no flags Details
File: environ (760 bytes, text/plain)
2013-06-19 14:29 EDT, WhyNot
no flags Details
File: ifcfg.log (2.40 KB, text/plain)
2013-06-19 14:30 EDT, WhyNot
no flags Details
File: lsblk_output (2.63 KB, text/plain)
2013-06-19 14:30 EDT, WhyNot
no flags Details
File: nmcli_dev_list (5.09 KB, text/plain)
2013-06-19 14:30 EDT, WhyNot
no flags Details
File: packaging.log (24.24 KB, text/plain)
2013-06-19 14:30 EDT, WhyNot
no flags Details
File: program.log (59.34 KB, text/plain)
2013-06-19 14:30 EDT, WhyNot
no flags Details
File: storage.log (109.86 KB, text/plain)
2013-06-19 14:30 EDT, WhyNot
no flags Details
File: syslog (118.75 KB, text/plain)
2013-06-19 14:30 EDT, WhyNot
no flags Details

  None (edit)
Description WhyNot 2013-06-19 14:29:33 EDT
Description of problem:
Pressed automatic partition during installation
The following was filed automatically by anaconda:
anaconda 19.30-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2387, in on_selector_clicked
    total = selector._device.pvCount
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2084, in _show_mountpoint
    self.on_selector_clicked(page.members[0])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2433, in on_page_clicked
    self._show_mountpoint(page=page, mountpoint=mountpointToShow)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/accordion.py", line 146, in _onExpanded
    cb(obj.get_child())
AttributeError: 'MDRaidArrayDevice' object has no attribute 'pvCount'

Version-Release number of selected component:
anaconda-19.30-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/accordion.py", line 146, in _onExpanded
    cb(obj.get_child())
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2433, in on_page_clicked
    self._show_mountpoint(page=page, mountpoint=mountpointToShow)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2084, in _show_mountpoint
    self.on_selector_clicked(page.members[0])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2387, in on_selector_clicked
    total = selector._device.pvCount
AttributeError: 'MDRaidArrayDevice' object has no attribute 'pvCount'
Comment 1 WhyNot 2013-06-19 14:29:44 EDT
Created attachment 763088 [details]
File: anaconda-tb
Comment 2 WhyNot 2013-06-19 14:29:48 EDT
Created attachment 763089 [details]
File: anaconda.log
Comment 3 WhyNot 2013-06-19 14:29:52 EDT
Created attachment 763090 [details]
File: backtrace
Comment 4 WhyNot 2013-06-19 14:29:56 EDT
Created attachment 763091 [details]
File: environ
Comment 5 WhyNot 2013-06-19 14:30:00 EDT
Created attachment 763092 [details]
File: ifcfg.log
Comment 6 WhyNot 2013-06-19 14:30:06 EDT
Created attachment 763093 [details]
File: lsblk_output
Comment 7 WhyNot 2013-06-19 14:30:10 EDT
Created attachment 763094 [details]
File: nmcli_dev_list
Comment 8 WhyNot 2013-06-19 14:30:14 EDT
Created attachment 763095 [details]
File: packaging.log
Comment 9 WhyNot 2013-06-19 14:30:19 EDT
Created attachment 763096 [details]
File: program.log
Comment 10 WhyNot 2013-06-19 14:30:24 EDT
Created attachment 763097 [details]
File: storage.log
Comment 11 WhyNot 2013-06-19 14:30:37 EDT
Created attachment 763098 [details]
File: syslog
Comment 12 WhyNot 2013-06-19 16:47:24 EDT
Description of problem:
Selecting partionioning for HD

Version-Release number of selected component:
anaconda-19.30-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/accordion.py", line 146, in _onExpanded
    cb(obj.get_child())
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2433, in on_page_clicked
    self._show_mountpoint(page=page, mountpoint=mountpointToShow)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2084, in _show_mountpoint
    self.on_selector_clicked(page.members[0])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2387, in on_selector_clicked
    total = selector._device.pvCount
AttributeError: 'MDRaidArrayDevice' object has no attribute 'pvCount'
Comment 13 Brian Lane 2013-06-20 21:12:00 EDT
Please retry with TC6, alot has changed since this version.

Note You need to log in before you can comment on or make changes to this bug.